org.apache.commons.jelly.tags.fmt

## Class LocalizationContext

- java.lang.Object
- - org.apache.commons.jelly.tags.fmt.LocalizationContext

    public class LocalizationContext
    extends java.lang.Object

Class representing an I18N localization context.

An I18N localization context has two components: a resource bundle and the locale that led to the resource bundle match.

The resource bundle component is used by <fmt:message> for mapping message keys to localized messages, and the locale component is used by the <fmt:message>, <fmt:formatNumber>, <fmt:parseNumber>, <fmt:formatDate>, and <fmt:parseDate> actions as their formatting locale.

Version:
  1.1
Author:
  Willie Vu
See Also:
  `javax.servlet.jsp.jstl.fmt.LocalizationContext`

### Constructor Summary

Constructors
Constructor and Description
`LocalizationContext()` Constructs an empty I18N localization context.
`LocalizationContext(java.util.ResourceBundle bundle)` Constructs an I18N localization context from the given resource bundle.
`LocalizationContext(java.util.ResourceBundle bundle, java.util.Locale locale)` Constructs an I18N localization context from the given resource bundle and locale.

### Method Summary

Methods
`java.util.Locale` `getLocale()` Gets the locale of this I18N localization context.
`java.util.ResourceBundle` `getResourceBundle()` Gets the resource bundle of this I18N localization context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalizationContext

    public LocalizationContext()

Constructs an empty I18N localization context.

#### LocalizationContext

    public LocalizationContext(java.util.ResourceBundle bundle,
                       java.util.Locale locale)

Constructs an I18N localization context from the given resource bundle and locale.

The specified locale is the application- or browser-based preferred locale that led to the resource bundle match.

Parameters:
  `bundle` - The localization context's resource bundle
  `locale` - The localization context's locale

#### LocalizationContext

    public LocalizationContext(java.util.ResourceBundle bundle)

Constructs an I18N localization context from the given resource bundle.

The localization context's locale is taken from the given resource bundle.

Parameters:
  `bundle` - The resource bundle

### Method Detail

#### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

Gets the resource bundle of this I18N localization context.

Returns:
  The resource bundle of this I18N localization context, or null if this I18N localization context is empty

#### getLocale

    public java.util.Locale getLocale()

Gets the locale of this I18N localization context.

Returns:
  The locale of this I18N localization context, or null if this I18N localization context is empty, or its resource bundle is a (locale-less) root resource bundle.